@import 'variables.css';


/* Navigation */


.Logo {
    vertical-align: top;
    padding-right: 20px;


}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: rgba(0, 0, 0, 0.034);
    backdrop-filter: blur(27px);
    position: fixed;
    width: auto;
    padding-left: 112px;
    padding-right: 112px;
    padding-top: 8px;
    padding-bottom: 8px;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;
    max-width: 1800px;
    min-width: 500px;
    margin-left: auto;
    margin-right: auto;
}


nav ul {
  margin-right: auto;
  padding-left: 0px;
  align-items: center;
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin-right: 32px;
    align-items: center;
}

nav ul li a{
    color: var(--foreground-secodnary);
    text-decoration: none;
    font-family: Outfit;
    font-size: 16px;
    line-height: 30px;
    font-weight: 500;
    transition: ease-in 100ms;
    cursor: pointer;

}
nav ul li a:hover{
    color: var(--foreground-primary);
    transition: ease-in 100ms;


}

nav ul li a:active{
    color: var(--foreground-primary-active);
    transition: ease-in 100ms;


}



.dropdown {
  position: relative;
}

.dropbtn {
    background: none;
    border: none;
    color: var(--foreground-secodnary);
    font-family: Outfit;
    font-size: 16px;
    line-height: 30px;
    font-weight: 500;
    cursor: pointer;
    transition: 100ms ease-in-out;
    align-items: center;
    display: flex;
}

.dropdown-content {
    display: none;
    position: absolute;
    right: 0;
    background-color: rgb(29, 27, 27);
    width: 152px;
    height: auto;
    box-shadow: 0px 8px 16px rgba(0,0,0,0.2);
    z-index: 100;
    border-radius: 6px;
    padding-bottom: 8px;
    transition: 100ms ease-in-out;
}

.dropdown-content a {
    color: var(--foreground-secodnary);
    padding: 8px 12px;
    text-decoration: none;
    display: block;
    border-radius: 4px;
    font-family: Outfit;
    font-size: 16px;
    font-weight: 500;
    margin-bottom: -8px;
    transition: 100ms ease-in-out;
    cursor: pointer;
}

.dropdown-content a:hover {
 color: var(--foreground-primary);
 transition: 100ms ease-in-out;
}

.dropdown:hover .dropdown-content {
    display: block;
    transition: 100ms ease-in-out;
}

.dropdown:hover .dropbtn {
    color: var(--foreground-primary);
    transition: 100ms ease-in-out;
}

.chevronDrop {
    margin-left: 4px;
    transition: 200ms ease-in-out;
}

.dropbtn:hover .chevronDrop,
.dropdown-content:hover ~ .dropbtn .chevronDrop {
    transform: rotate(180deg);
    transition: 100ms ease-in-out;
}

.dropdown:hover .chevronDrop {
    transform: rotate(180deg);
    transition: 100ms ease-in-out;
}


/*  */

.footers {
	display: flex;
	flex-direction: column;
	padding-left: 112px;
	padding-right: 112px;
	padding-top: 60px;
	padding-bottom: 48px;
  max-width: 1800px;
  min-width: 500px;
  margin-left: auto;
  margin-right: auto;
}

  
  .footer-menu {
	display: flex;
	margin: 0px 0px;
	justify-content: left;
	align-items: center;
	list-style: none;
	padding-left: 0px;
  }

  .footer-item a {
	color: var(--foreground-secodnary);
	text-decoration: none;
	font-family: Outfit;
	font-size: 16px;
	line-height: 24px;
	font-weight: 500;
	transition: ease-in 100ms;
	cursor: pointer;
	margin-right: 32px;
	
  }

  .footer-item a:hover {
	color: var(--foreground-primary);
	transition: ease-in 100ms;
  }

  .footer-item a:active {
	color: var(--foreground-primary-active);
	transition: ease-in 100ms;
  }

  .footer-line {
	background-color: var(--border-primary);
	height: 1px;
	width: auto;
	margin-bottom: 32px;
  }


  .social-container-mobile {
    display: none;
  }

  .social-container {
	display: flex;
  position: absolute;
  height: 100%;
  gap: 32px;
  flex-direction: column;
	justify-content: right;
	align-items: right;
	text-align: center;
	width: auto;
	margin-top: 0px;
	margin-bottom: 0px;
  top: 50%;
	height: auto;
	margin-right: -32px;
  }

  .footer-container2  {
	display: block;
	width: auto;
	margin-top: 64px;
  }

  .footer-container3 a {
	font-family: Outfit;
	font-size: 16px;
	line-height: 24px;
	font-weight: 500;
	color: var(--foreground-primary);
	margin-right: auto;

  }
  
  .social-container li  {
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: auto;

	margin-right: 24px;
	color: var(--foreground-secodnary);
	fill: var(--foreground-secodnary);
  }

.social-container li a {
height: 32px;
width: 32px;
align-items: center;
justify-items: center;
justify-content: center;
align-content: center;
  }

  .social-container li a:hover .Tiktok,
  .social-container li a:hover .Youtube,
  .social-container li a:hover .Facebook,
  .social-container li a:hover .Instagram  {
	color: var(--foreground-primary);
	transition: 200ms ease-in-out;
  scale: 1.2;
  }



.Tiktok {
display: block;
color: var(--foreground-secodnary);
transition: ease-in-out 200ms;
align-items: center;
justify-content: center;
text-align: center;

}



.Youtube {
	display: block;
color: var(--foreground-secodnary);
transition: ease-in-out 200ms;
}



.Facebook {
	display: block;
color: var(--foreground-secodnary);
transition: ease-in-out 200ms;
}



.Instagram {
	display: block;
color: var(--foreground-secodnary);
transition: ease-in-out 200ms;
}



  .footer-container3{
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: auto;
  }

  .Logo-footer {
	margin-bottom: 32px;
	margin-left: -4px;
  }



.footer-links {
  display: block;
  justify-content: center;
  list-style: none;
  padding-left: 0px;
  margin-top: 0px;
  margin-bottom: 32px;
}


.footer-link a {
  color: var(--foreground-primary);
  padding-left: 0px;
  text-decoration: underline;
  font-family: Outfit;
  font-size: 16px;
  line-height: 32px;
  font-weight: 500;
  transition: ease-in-out 200ms;
}



.footer-link a:hover {
  color: var(--foreground-primary-active);
  transition: ease-in-out 200ms;

}


.logo-mobile {
  display: none;
}



@media (max-width: 768px) {
  
    .Logo {
        vertical-align: top;
        padding-right: 0px;
    
    
    }

    nav ul.show {
      transform: translateY(0);
      opacity: 1;
      display: block;
  }

    .Showonmobile {
      padding-top: 16px;
      padding-bottom: 20px;
      list-style: none;
      marker-start: none;
      margin-left: 0px;
    }


    .logo-mobile {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: 0px;
    }

    .hamburger-menu {
      padding-top: 4px;
      padding-bottom: 6px;
      left: 20px;
      top: 15px;
      width: 20px;
      height: 15px;
      cursor: pointer;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      background-color: transparent;
      color: transparent;
  }

  .hamburger-menu span {
      display: block;
      width: 100%;
      height: 2px;
      background: white;
      transition: 0.3s ease-in-out;
  }

  .hamburger-menu.open span:nth-child(1) {
      transform: translateY(6px) rotate(45deg);
  }

  .hamburger-menu.open span:nth-child(2) {
      opacity: 0;
  }

  .hamburger-menu.open span:nth-child(3) {
      transform: translateY(-7px) rotate(-45deg);
  }
    
    nav{
        padding-left: 28px;
        padding-right: 16px;
        top: 0;
        left: 0;
        z-index: 10;
        max-width: 768px;
        min-width: 100px;
        padding-top: 8px;
        padding-bottom: 8px;
        transition: transform 0.3s ease-in-out;

    }


    .nav-hidden {
      transform: translateY(-100%);
      transition: transform 300ms ease-in-out;
  }
    
    nav ul{
      margin-right: auto;
      display: none;
      position: fixed;
      top: 58px;
      background-color: var(--backgournd-default);
      height: 100dvh;
      width: 100%;
      left: 0;
      padding-top: 32px;
      z-index: -1;
      transform: translateY(-40px);
      transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
      opacity: 0;
      z-index: 100;
  }


  nav.nav-show{
    background-color: var(--backgournd-default);
    backdrop-filter: blur(0px);

}




    nav ul li{
        display: block;
        list-style: none;
        width: 100%;
        padding-bottom: 2px;
        justify-content: center;
        text-align: left;
        margin-right: 0;
        width: 100%;
        padding-left: 28px;

    }
    
    .Hideonmobile {
      display: none;
    }


    nav ul li a{
        color: var(--foreground-secodnary);
        text-decoration: none;
        font-family: Outfit;
        font-size: 24px;
        line-height: 48px;
        font-weight: 500;
        transition: ease-in 100ms;
        cursor: pointer;
        width: 100%;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-rendering: optimizeLegibility;

	}

	.footers {
		display: block;
		flex-direction: column;
		margin-top: 32px;
		padding-left: 32px;
		padding-right: 32px;
		padding-top: 32px;
		padding-bottom: 40px;  
    max-width: 764px;
    min-width: 0px;
    margin-left: 0;
    margin-right: 0;
	  }
	

.dropdown {
  position: relative;
}


 .footer-menu {
  display: block;
  padding-left: 0px
}

 .footer-item {
margin-bottom: 24px;
}

 .social-container {
display: none;
 
}


.social-container-mobile {
	display: flex;
  height: 100%;
  gap: 32px;
  flex-direction: row;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: 100%;
  padding-left: 0px;
	margin-top: 32px;
	margin-bottom: 32px;
	height: auto;
  list-style: none;

}

 .social-container a {
  display: block;
  padding-right: auto;
  text-align: left;

}

 .footer-container3  {
  display: block;
  float: left;
}


.social-container li {
  display: flex;
  margin-bottom: 16px;
  left: 0;
}

}



/* Scrollbar */

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background:var(--backgournd-default);
}

::-webkit-scrollbar-thumb {
  background: var(--backgournd-default-active);
  border-radius: 2px;

}

::-webkit-scrollbar-thumb:hover {
  background: var(--backgournd-default-hover);
}
